Package org.eclipse.lemminx.extensions.relaxng.grammar.rng

## Class RNGHighlightingParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.grammar.rng.RNGHighlightingParticipant

All Implemented Interfaces:
  `IHighlightingParticipant`

    public class RNGHighlightingParticipant
    extends Object
    implements IHighlightingParticipant

RNG highlight participant

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`RNGHighlightingParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findDocumentHighlights​(DOMNode node, org.eclipse.lsp4j.Position position, int offset, List<org.eclipse.lsp4j.DocumentHighlight> highlights, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RNGHighlightingParticipant

    public RNGHighlightingParticipant()

### Method Detail

#### findDocumentHighlights

    public void findDocumentHighlights​(DOMNode node,
                                       org.eclipse.lsp4j.Position position,
                                       int offset,
                                       List<org.eclipse.lsp4j.DocumentHighlight> highlights,
                                       org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Specified by:
  `findDocumentHighlights` in interface `IHighlightingParticipant`